Index: test/bellman_ford_test.cc
===================================================================
--- test/bellman_ford_test.cc	(revision 1131)
+++ test/bellman_ford_test.cc	(revision 1092)
@@ -102,8 +102,4 @@
 
     for (BF::ActiveIt it(const_bf_test); it != INVALID; ++it) {}
-    for (auto n: const_bf_test.activeNodes()) { ::lemon::ignore_unused_variable_warning(n); }
-    for (Digraph::Node n: const_bf_test.activeNodes()) {
-      ::lemon::ignore_unused_variable_warning(n);
-    }
   }
   {
Index: test/graph_test.h
===================================================================
--- test/graph_test.h	(revision 1131)
+++ test/graph_test.h	(revision 1092)
@@ -39,25 +39,4 @@
     check(n==INVALID,"Wrong Node list linking.");
     check(countNodes(G)==cnt,"Wrong Node number.");
-
-#ifdef LEMON_CXX11
-    {
-      typename Graph::NodeIt n(G);
-      for(auto u: G.nodes())
-        {
-          check(n==u,"Wrong STL Node iterator.");
-          ++n;
-        }
-      check(n==INVALID,"Wrong STL Node iterator.");
-    }
-    {
-      typename Graph::NodeIt n(G);
-      for(typename Graph::Node u: G.nodes())
-        {
-          check(n==u,"Wrong STL Node iterator.");
-          ++n;
-        }
-      check(n==INVALID,"Wrong STL Node iterator.");
-    }
-#endif
   }
 
@@ -78,24 +57,4 @@
     check(n==INVALID,"Wrong red Node list linking.");
     check(countRedNodes(G)==cnt,"Wrong red Node number.");
-#ifdef LEMON_CXX11
-    {
-      typename Graph::RedNodeIt n(G);
-      for(auto u: G.redNodes())
-        {
-          check(n==u,"Wrong STL RedNode iterator.");
-          ++n;
-        }
-      check(n==INVALID,"Wrong STL RedNode iterator.");
-    }
-    {
-      typename Graph::RedNodeIt n(G);
-      for(typename Graph::RedNode u: G.redNodes())
-        {
-          check(n==u,"Wrong STL RedNode iterator.");
-          ++n;
-        }
-      check(n==INVALID,"Wrong STL RedNode iterator.");
-    }
-#endif
   }
 
@@ -116,25 +75,4 @@
     check(n==INVALID,"Wrong blue Node list linking.");
     check(countBlueNodes(G)==cnt,"Wrong blue Node number.");
-#ifdef LEMON_CXX11
-    {
-      typename Graph::BlueNodeIt n(G);
-      for(auto u: G.blueNodes())
-        {
-          check(n==u,"Wrong STL BlueNode iterator.");
-          ++n;
-        }
-      check(n==INVALID,"Wrong STL BlueNode iterator.");
-    }
-    {
-      typename Graph::BlueNodeIt n(G);
-      for(typename Graph::BlueNode u: G.blueNodes())
-        {
-          check(n==u,"Wrong STL BlueNode iterator.");
-          ++n;
-        }
-      check(n==INVALID,"Wrong STL BlueNode iterator.");
-    }
-#endif
-
   }
 
@@ -153,25 +91,4 @@
     check(e==INVALID,"Wrong Arc list linking.");
     check(countArcs(G)==cnt,"Wrong Arc number.");
-#ifdef LEMON_CXX11
-    {
-      typename Graph::ArcIt a(G);
-      for(auto e: G.arcs())
-        {
-          check(a==e,"Wrong STL Arc iterator.");
-          ++a;
-        }
-      check(a==INVALID,"Wrong STL Arc iterator.");
-    }
-    {
-      typename Graph::ArcIt a(G);
-      for(typename Graph::Arc e: G.arcs())
-        {
-          check(a==e,"Wrong STL Arc iterator.");
-          ++a;
-        }
-      check(a==INVALID,"Wrong STL Arc iterator.");
-    }
-#endif
-
   }
 
@@ -189,25 +106,4 @@
     check(e==INVALID,"Wrong OutArc list linking.");
     check(countOutArcs(G,n)==cnt,"Wrong OutArc number.");
-#ifdef LEMON_CXX11
-    {
-      typename Graph::OutArcIt a(G,n);
-      for(auto e: G.outArcs(n))
-        {
-          check(a==e,"Wrong STL OutArc iterator.");
-          ++a;
-        }
-      check(a==INVALID,"Wrong STL OutArc iterator.");
-    }
-    {
-      typename Graph::OutArcIt a(G,n);
-      for(typename Graph::Arc e: G.outArcs(n))
-        {
-          check(a==e,"Wrong STL OutArc iterator.");
-          ++a;
-        }
-      check(a==INVALID,"Wrong STL OutArc iterator.");
-    }
-#endif
-
   }
 
@@ -225,24 +121,4 @@
     check(e==INVALID,"Wrong InArc list linking.");
     check(countInArcs(G,n)==cnt,"Wrong InArc number.");
-#ifdef LEMON_CXX11
-    {
-      typename Graph::InArcIt a(G,n);
-      for(auto e: G.inArcs(n))
-        {
-          check(a==e,"Wrong STL InArc iterator.");
-          ++a;
-        }
-      check(a==INVALID,"Wrong STL InArc iterator.");
-    }
-    {
-      typename Graph::InArcIt a(G,n);
-      for(typename Graph::Arc e: G.inArcs(n))
-        {
-          check(a==e,"Wrong STL InArc iterator.");
-          ++a;
-        }
-      check(a==INVALID,"Wrong STL InArc iterator.");
-    }
-#endif
   }
 
@@ -259,25 +135,4 @@
     check(e==INVALID,"Wrong Edge list linking.");
     check(countEdges(G)==cnt,"Wrong Edge number.");
-#ifdef LEMON_CXX11
-    {
-      typename Graph::EdgeIt a(G);
-      for(auto e: G.edges())
-        {
-          check(a==e,"Wrong STL Edge iterator.");
-          ++a;
-        }
-      check(a==INVALID,"Wrong STL Edge iterator.");
-    }
-    {
-      typename Graph::EdgeIt a(G);
-      for(typename Graph::Edge e: G.edges())
-        {
-          check(a==e,"Wrong STL Edge iterator.");
-          ++a;
-        }
-      check(a==INVALID,"Wrong STL Edge iterator.");
-    }
-#endif
-
   }
 
@@ -296,25 +151,4 @@
     check(e==INVALID,"Wrong IncEdge list linking.");
     check(countIncEdges(G,n)==cnt,"Wrong IncEdge number.");
-#ifdef LEMON_CXX11
-    {
-      typename Graph::IncEdgeIt a(G,n);
-      for(auto e: G.incEdges(n))
-        {
-          check(a==e,"Wrong STL IncEdge iterator.");
-          ++a;
-        }
-      check(a==INVALID,"Wrong STL IncEdge iterator.");
-    }
-    {
-      typename Graph::IncEdgeIt a(G,n);
-      for(typename Graph::Edge e: G.incEdges(n))
-        {
-          check(a==e,"Wrong STL IncEdge iterator.");
-          ++a;
-        }
-      check(a==INVALID,"Wrong STL IncEdge iterator.");
-    }
-#endif
-
   }
 
Index: test/lp_test.cc
===================================================================
--- test/lp_test.cc	(revision 1131)
+++ test/lp_test.cc	(revision 1105)
@@ -21,5 +21,5 @@
 #include "test_tools.h"
 #include <lemon/tolerance.h>
-#include <lemon/concept_check.h>
+
 #include <lemon/config.h>
 
@@ -48,9 +48,4 @@
   int count=0;
   for (LpBase::ColIt c(lp); c!=INVALID; ++c) ++count;
-#ifdef LEMON_CXX11
-  int cnt = 0;
-  for(auto c: lp.cols()) { cnt++; ::lemon::ignore_unused_variable_warning(c); }
-  check(count == cnt, "Wrong STL iterator");
-#endif
   return count;
 }
@@ -59,9 +54,4 @@
   int count=0;
   for (LpBase::RowIt r(lp); r!=INVALID; ++r) ++count;
-#ifdef LEMON_CXX11
-  int cnt = 0;
-  for(auto r: lp.rows()) { cnt++; ::lemon::ignore_unused_variable_warning(r); }
-  check(count == cnt, "Wrong STL iterator");
-#endif
   return count;
 }
Index: test/maps_test.cc
===================================================================
--- test/maps_test.cc	(revision 1131)
+++ test/maps_test.cc	(revision 1092)
@@ -731,28 +731,4 @@
     check(n == 3, "Wrong number");
     check(map1.falseNum() == 3, "Wrong number");
-
-#ifdef LEMON_CXX11
-    {
-      int c = 0;
-      for(auto v: map1.items(false)) { c++; ::lemon::ignore_unused_variable_warning(v); }
-      check(c == map1.falseNum(), "Wrong number");
-    }
-    {
-      int c = 0;
-      for(auto v: map1.items(true)) { c++; ::lemon::ignore_unused_variable_warning(v); }
-      check(c == map1.trueNum(), "Wrong number");
-    }
-    {
-      int c = 0;
-      for(auto v: map1.falseKeys()) { c++; ::lemon::ignore_unused_variable_warning(v); }
-      check(c == map1.falseNum(), "Wrong number");
-    }
-    {
-      int c = 0;
-      for(auto v: map1.trueKeys()) { c++; ::lemon::ignore_unused_variable_warning(v); }
-      check(c == map1.trueNum(), "Wrong number");
-    }
-#endif
-
   }
 
@@ -805,13 +781,4 @@
     }
     check(n == num, "Wrong number");
-#ifdef LEMON_CXX11
-    {
-      int c = 0;
-      for(auto v: map1.items(0)) { c++; ::lemon::ignore_unused_variable_warning(v); }
-      check(c == (num + 1) / 2, "Wrong number");
-      for(auto v: map1.items(1)) { c++; ::lemon::ignore_unused_variable_warning(v); }
-      check(c == num, "Wrong number");
-    }
-#endif
 
   }
@@ -872,14 +839,4 @@
     }
     check(n == num, "Wrong number");
-
-#ifdef LEMON_CXX11
-    {
-      int c = 0;
-      for(auto v: map1.items(0.0)) { c++; ::lemon::ignore_unused_variable_warning(v); }
-      check(c == (num + 1) / 2, "Wrong number");
-      for(auto v: map1.items(1.0)) { c++; ::lemon::ignore_unused_variable_warning(v); }
-      check(c == num, "Wrong number");
-    }
-#endif
 
   }
Index: test/radix_sort_test.cc
===================================================================
--- test/radix_sort_test.cc	(revision 1092)
+++ test/radix_sort_test.cc	(revision 1135)
@@ -16,4 +16,6 @@
  *
  */
+
+#include <lemon/core.h>
 
 #include <lemon/time_measure.h>
